## Class TParameterProperty

Description

TParameterProperty corresponds to the <property> tag and defines one object property for the <parameterMap>

The NullValue attribute can be set to any valid value (based on property type). The NullValue attribute is used to specify an inbound null value replacement. What this means is that when the value is detected in the object property, a NULL will be written to the database (the opposite behavior of an inbound null value replacement). This allows you to use a magic null number in your application for types that do not support null values (such as int, double, float). When these types of properties contain a matching null value (for example, say, -9999), a NULL will be written to the database instead of the value.

- since: 3.1
- version: $Id: TParameterProperty.php 1555 2006-12-04 00:02:23Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TParameterProperty.php (line 32)

    TComponent
       |
       --TParameterProperty

Method Summary
string getColumn ()
string getDbType ()
mixed getNullValue ()
string getProperty ()
string getType ()
string getTypeHandler ()
void setColumn (string $value)
void setDbType (string $value)
void setNullValue (mixed $value)
void setProperty (string $value)
void setType (string $value)
void setTypeHandler (string $value)
Methods
getColumn (line 76)

- return: name of a parameter to be used in the SQL statement.
- access: public

string getColumn ()
getDbType (line 92)

- return: the database column type of the parameter to be set by this property.
- access: public

string getDbType ()
getNullValue (line 124)

- return: null value replacement
- access: public

mixed getNullValue ()
getProperty (line 108)

- return: name of a property of the parameter object.
- access: public

string getProperty ()
getType (line 60)

- return: type of the parameter's property
- access: public

string getType ()
getTypeHandler (line 44)

- return: class name of a custom type handler.
- access: public

string getTypeHandler ()
setColumn (line 84)

- access: public

void setColumn (string $value)

- string $value: name of a parameter to be used in the SQL statement.

setDbType (line 100)

- access: public

void setDbType (string $value)

- string $value: the database column type of the parameter to be set by this property.

setNullValue (line 133)

The nullValue attribute is used to specify an outgoing null value replacement.

- access: public

void setNullValue (mixed $value)

- mixed $value: null value replacement.

setProperty (line 116)

- access: public

void setProperty (string $value)

- string $value: name of a property of the parameter object.

setType (line 68)

- access: public

void setType (string $value)

- string $value: type of the parameter's property

setTypeHandler (line 52)

- access: public

void setTypeHandler (string $value)

- string $value: class name of a custom type handler.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:52 -0400 by phpDocumentor 1.3.0RC4